ApiMcp servers
Update tool selection
Update tool selection for a server by enabling or disabling specific tools.
Path Parameters
server_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/tool-selection" \ -H "Content-Type: application/json" \ -d '{ "tool_ids": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "enabled": true }'{
"updated": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Update tool overrides
Update override fields on a tool. Uses model_fields_set to distinguish omitted fields from explicit nulls. Setting a field to null clears that override.
Get Prometheus metrics
Prometheus metrics endpoint for scraping. Returns all registered metrics in text exposition format. Returns 404 when Prometheus endpoint is disabled in settings.
